Create new job

Creates a new transcription job on Verbit's server.

Basic Usage

  1. Create job with this endpoint
  2. Upload media via POST /job/add_media
  3. Start processing via POST /job/perform_transcription

Key Parameters

  • job_name: Human-readable identifier (typically filename)
  • external_id: Your reference ID (e.g., database ID)
  • profile: Processing configuration to use (required)

Translation Support

If translation is enabled in the profile:

  1. Specify target languages in translation_languages
  2. Configure translation settings:
    • Use translation_profile to select language profile
    • Default profile used if not specified
    • Set translation_processing_mode for rush/standard processing

Important Notes

  • While GET is supported for backwards compatibility, always use POST with JSON body
  • At least one profile must be specified
  • Translation features require profile support
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

API version. Current version is 4. Older versions are supported but deprecated.

Body Params
string
required

Profile name to use for this job

string

Name of the job, usually the original filename

string

Your reference ID for this job

string

RFC 5646 Language code for spoken language of the job

string

Custom dictionary for the job

permissions
array of strings

List of permission-tags to manage who is allowed to see this job on verbit.ai.

If at least one permission tag specified - only users who have the same permission
and users with unspecified permissions will be able to see the job.

permissions
labels
array of strings

List of labels attached to job.

labels
job_metadata
object

Additional attributes that needs to be saved. To be valid, should match attached to profile json schema. Must be only FLAT json.

string

Name of translation profile that contains list of languages for translation from job media language

string
enum

Processing mode for translations

Allowed:
translation_languages
array of strings

List of RFC 5646 language codes for job captions translations

translation_languages
order_details
object

Order details for the job

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json